[vdr] *** glibc detected *** double free or corruption 1.4.2-1 Patch

Udo Richter udo_richter at gmx.de
Mon Sep 4 19:41:40 CEST 2006


Klaus Schmidinger wrote:
>> It's probably best to implement an actual copy-constructor.
>>
>> Please try the attached patch, which contains both changes.
> 
> Attached is the correct version.

Thats the better fix of course, and may fix this in case some plugin did 
the same mistake. (couldn't find one in one of my plugins though)

Of course this touches the header and requires to bump APIVERSION. And 
it probably requires compiling all plugins.

Cheers,

Udo




More information about the vdr mailing list